> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzyco.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update automation

> Update an existing automation. Note: This endpoint accepts partial updates (same behavior as PATCH). All fields are optional.



## OpenAPI

````yaml /api-reference/openapi.json put /v1/automations/{id}
openapi: 3.1.0
info:
  title: Bizzy API
  version: 1.0.0
  description: Bizzy API for managing businesses, customers, contacts, and more.
servers:
  - url: https://api.bizzyco.ai
    description: Production
security: []
tags:
  - name: Automations
    description: Manage workflow automation rules
    x-group: Automations
  - name: Automation Executions
    description: View automation execution history
    x-group: Automations
  - name: Businesses
    description: Manage business profiles
    x-group: Businesses
  - name: Business Offerings
    description: Manage products and services offered by businesses
    x-group: Businesses
  - name: Business Online Presences
    description: Manage websites and social media links
    x-group: Businesses
  - name: Business Physical Presences
    description: Manage physical locations and addresses
    x-group: Businesses
  - name: Business Profile
    description: View and update business profile details
    x-group: Businesses
  - name: Contacts
    description: Manage contact records
    x-group: Contacts
  - name: Contact Addresses
    description: Manage mailing addresses for contacts
    x-group: Contacts
  - name: Contact Emails
    description: Manage email addresses for contacts
    x-group: Contacts
  - name: Contact Phone Numbers
    description: Manage phone numbers for contacts
    x-group: Contacts
  - name: Customers
    description: Manage customer records
    x-group: Customers
  - name: Customer Transactions
    description: View customer transaction history
    x-group: Customers
  - name: Domains
    description: Manage domain names
    x-group: Domains
  - name: Domain Contacts
    description: Manage contacts associated with domains
    x-group: Domains
  - name: Domain Registrations
    description: Manage domain registration records
    x-group: Domains
  - name: Files
    description: Manage file uploads and downloads
    x-group: Files
  - name: File Access Links
    description: Manage shareable file access links
    x-group: Files
  - name: Folders
    description: Organize files into folders
    x-group: Files
  - name: Messages
    description: Manage email messages
    x-group: Messages
  - name: Message Attachments
    description: Access message file attachments
    x-group: Messages
  - name: Message Contacts
    description: View contacts associated with messages
    x-group: Messages
  - name: Tasks
    description: Manage task records
    x-group: Tasks
  - name: Task Assignees
    description: Manage user assignments to tasks
    x-group: Tasks
  - name: Task Activity
    description: View task activity and change history
    x-group: Tasks
paths:
  /v1/automations/{id}:
    put:
      tags:
        - Automations
      summary: Update automation
      description: >-
        Update an existing automation. Note: This endpoint accepts partial
        updates (same behavior as PATCH). All fields are optional.
      operationId: updateAutomation
      parameters:
        - schema:
            type: string
            format: uuid
            description: Automation UUID
            example: 123e4567-e89b-12d3-a456-426614174000
          required: true
          description: Automation UUID
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutomationUpdate'
      responses:
        '200':
          description: Automation updated successfully
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum burst of requests the tier allows per minute
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window after this request
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the allowance is fully replenished
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Automation'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          total:
                            type: number
                          limit:
                            type: number
                          offset:
                            type: number
                          hasMore:
                            type: boolean
                        required:
                          - limit
                          - offset
                          - hasMore
                required:
                  - data
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limit exceeded for the account tier (error code RATE_LIMITED)
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
              description: Maximum burst of requests the tier allows per minute
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: Requests remaining in the current window after this request
            X-RateLimit-Reset:
              schema:
                type: integer
              description: Seconds until the allowance is fully replenished
            Retry-After:
              schema:
                type: integer
              description: Seconds to wait before the next request will be accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    AutomationUpdate:
      type: object
      properties:
        name:
          type: string
          example: Auto-reply to inquiries
        description:
          type: string
          example: Sends an auto-reply to new inquiries
        triggerEvent:
          type: string
          example: message.received
        triggerType:
          type: string
          enum:
            - event
            - scheduled
          example: event
          description: Whether this automation is event-driven or scheduled
        cronExpression:
          type: string
          example: 0 9 * * MON-FRI
        condition:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: boolean
        instructions:
          type: string
          example: >-
            Reply to the sender thanking them for their inquiry and let them
            know we will respond within 24 hours.
        enabled:
          type: boolean
          example: true
        groupId:
          type: string
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        groupName:
          type: string
          example: Customer Support
        groupMetadata:
          type: object
          properties:
            purpose:
              type: string
            createdBy:
              type: string
            aiTaskId:
              type: string
            tags:
              type: array
              items:
                type: string
        maxExecutions:
          type: integer
          exclusiveMinimum: 0
          example: 100
        currentExecutions:
          type: integer
          minimum: 0
          example: 0
        expiresAt:
          type: string
          format: date-time
          example: '2025-12-31T23:59:59Z'
        status:
          type: string
          enum:
            - draft
            - pending_evaluation
            - evaluation_failed
            - code_generation_failed
            - pending_approval
            - active
            - paused
            - completed
            - expired
            - failed
            - archived
          example: active
          description: The status of the automation
      additionalProperties: false
    Automation:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type:
            - string
            - 'null'
          format: date-time
        organizationId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        triggerEvent:
          type: string
        cronExpression:
          type:
            - string
            - 'null'
        condition:
          type:
            - object
            - 'null'
          additionalProperties:
            anyOf:
              - type: string
              - type: boolean
        instructions:
          type: string
        createdBy:
          type:
            - string
            - 'null'
          format: uuid
        enabled:
          type: boolean
        permissions:
          type: object
          additionalProperties: {}
        groupId:
          type:
            - string
            - 'null'
          format: uuid
        groupName:
          type:
            - string
            - 'null'
        groupMetadata:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
        maxExecutions:
          type:
            - number
            - 'null'
        currentExecutions:
          type: number
        expiresAt:
          type:
            - string
            - 'null'
          format: date-time
        status:
          type: string
          enum:
            - active
            - paused
            - completed
            - expired
      required:
        - id
        - createdAt
        - updatedAt
        - deletedAt
        - organizationId
        - name
        - description
        - triggerEvent
        - cronExpression
        - condition
        - instructions
        - createdBy
        - enabled
        - permissions
        - groupId
        - groupName
        - groupMetadata
        - maxExecutions
        - currentExecutions
        - expiresAt
        - status
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details: {}
          required:
            - message
            - code
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication via Bearer token

````